PDA

Visualizza la versione completa : [Java] avvio di eclipse fallito e versione java non trovata


Barman@83
08-02-2008, 02:42
Premetto che prima di eseguire l'installazione del jdk ho pacioccato installando librerie e componenti di java che credevo utili.
Poi oggi ho installato jdk 6 dal gestore pacchetti.

ora quando digito java version mi dice

""""""""""
marco@ubuntu:~$ java version
java.lang.ClassNotFoundException: version not found in java.lang.ClassLoader$1{urls=[file:/home/marco/./], parent=null}
at java.net.URLClassLoader.findClass (URLClassLoader.java:870)
at java.lang.ClassLoader.loadClass (ClassLoader.java:359)
at java.lang.ClassLoader$1.loadClass (ClassLoader.java:1333)
at java.lang.ClassLoader.loadClass (ClassLoader.java:310)
at java.lang.VirtualMachine.main (VirtualMachine.java:99)
marco@ubuntu:~$


"""""""""""""""""""""""

se lancio eclipse (scaricato da aggiungi/rimuovi programmi )

mi compare un errore in finestra

""""""""
JVM terminated. Exit code=1
/usr/lib/kaffe/pthreads/bin/java
-Djava.library.path=/usr/lib/jni
-Dgnu.gcj.precompiled.db.path=/var/lib/gcj-4.2/classmap.db
-Dgnu.gcj.runtime.VMClassLoader.library_control=nev er
-Dosgi.locking=none
-jar /usr/lib/eclipse/startup.jar
-os linux
-ws gtk
-arch x86
-launcher /usr/lib/eclipse/eclipse
-name Eclipse
-showsplash 600
-exitdata c0012
-install /usr/lib/eclipse
-vm /usr/lib/kaffe/pthreads/bin/java
-vmargs
-Djava.library.path=/usr/lib/jni
-Dgnu.gcj.precompiled.db.path=/var/lib/gcj-4.2/classmap.db
-Dgnu.gcj.runtime.VMClassLoader.library_control=nev er
-Dosgi.locking=none
-jar /usr/lib/eclipse/startup.jar

"""""""""""""""""""""""""""""


come posso risolvere???????

nifriz
08-02-2008, 10:34
successo anche a me,significa che hai dimenticato di installare qualche pezzo di java, probsbilmente la JRE, comunque se vai su www.java.com e scarichi l'ultimo pacchetto e lo installi dovrebbe funzionare tutto :)

Barman@83
08-02-2008, 11:34
ho seguito questi consigli...



innanzi tutto per vedere la versione usa:

Codice:

java -version


altrimenti ti cerca una classe dal nome version e ovviamente non la trova.
Prova in seguito a selezionare una corretta JDK utilizzando:

Codice:

update-alternatives --config java




poi ho scaricato da eclipse.org la versione che mi serve (senza passare da aggiungi rimuovi)

ed ora funziona tutto

Loading